DatabaseMetaData.TableType
Date: 2018-05-06

com.mysql.jdbc

## Enum DatabaseMetaData.TableType

- java.lang.Object
- - java.lang.Enum<DatabaseMetaData.TableType>
  - - com.mysql.jdbc.DatabaseMetaData.TableType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DatabaseMetaData.TableType>
  Enclosing class:
    DatabaseMetaData

      protected static enum DatabaseMetaData.TableType
      extends java.lang.Enum<DatabaseMetaData.TableType>

  Enumeration for Table Types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOCAL_TEMPORARY`
    `SYSTEM_TABLE`
    `SYSTEM_VIEW`
    `TABLE`
    `UNKNOWN`
    `VIEW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) byte[]` | `asBytes()`
    `(package private) boolean` | `compliesWith(java.lang.String tableTypeName)`
    `(package private) boolean` | `equalsTo(java.lang.String tableTypeName)`
    `(package private) java.lang.String` | `getName()`
    `(package private) static DatabaseMetaData.TableType` | `getTableTypeCompliantWith(java.lang.String tableTypeName)`
    `(package private) static DatabaseMetaData.TableType` | `getTableTypeEqualTo(java.lang.String tableTypeName)`
    `static DatabaseMetaData.TableType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DatabaseMetaData.TableType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL_TEMPORARY

          public static final DatabaseMetaData.TableType LOCAL_TEMPORARY

    - #### SYSTEM_TABLE

          public static final DatabaseMetaData.TableType SYSTEM_TABLE

    - #### SYSTEM_VIEW

          public static final DatabaseMetaData.TableType SYSTEM_VIEW

    - #### TABLE

          public static final DatabaseMetaData.TableType TABLE

    - #### VIEW

          public static final DatabaseMetaData.TableType VIEW

    - #### UNKNOWN

          public static final DatabaseMetaData.TableType UNKNOWN

  - ### Method Detail

    - #### values

          public static DatabaseMetaData.TableType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DatabaseMetaData.TableType c : DatabaseMetaData.TableType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DatabaseMetaData.TableType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          java.lang.String getName()

    - #### asBytes

          byte[] asBytes()

    - #### equalsTo

          boolean equalsTo(java.lang.String tableTypeName)

    - #### getTableTypeEqualTo

          static DatabaseMetaData.TableType getTableTypeEqualTo(java.lang.String tableTypeName)

    - #### compliesWith

          boolean compliesWith(java.lang.String tableTypeName)

    - #### getTableTypeCompliantWith

          static DatabaseMetaData.TableType getTableTypeCompliantWith(java.lang.String tableTypeName)